--- old/usr/src/Makefile.master	Wed Sep  4 06:59:30 2019
+++ new/usr/src/Makefile.master	Wed Sep  4 06:59:30 2019
@@ -992,15 +992,6 @@
 #
 CTFMRGFLAGS=
 
-#
-# Make the transition between old and new CTF Tools. The new ctf tools
-# do not support stabs (eg. Sun Studio). By setting BUILD_OLD_CTF_TOOLS
-# here or in the environment file, the old ones will be built.
-#
-BUILD_NEW_CTF_TOOLS=
-BUILD_OLD_CTF_TOOLS=$(POUND_SIGN)
-$(BUILD_OLD_CTF_TOOLS)BUILD_NEW_CTF_TOOLS= $(POUND_SIGN)
-
 CTFCONVERT_O		= $(CTFCONVERT) $(CTFCVTFLAGS) $@
 
 # Rules (normally from make.rules) and macros which are used for post
--- old/usr/src/cmd/ctfconvert/ctfconvert.c	Wed Sep  4 06:59:30 2019
+++ new/usr/src/cmd/ctfconvert/ctfconvert.c	Wed Sep  4 06:59:30 2019
@@ -10,7 +10,7 @@
  */
 
 /*
- * Copyright (c) 2019, Joyent, Inc.
+ * Copyright 2019 Joyent, Inc.
  */
 
 /*
@@ -39,8 +39,6 @@
 
 #define	CTFCONVERT_DEFAULT_NTHREADS	4
 
-#define	CTFCONVERT_ALTEXEC	"CTFCONVERT_ALTEXEC"
-
 static char *ctfconvert_progname;
 
 static void
@@ -222,28 +220,6 @@
 	VERIFY(ctf_type_size(fp, cpuid) == sz);
 }
 
-static void
-ctfconvert_altexec(char **argv)
-{
-	const char *alt;
-	char *altexec;
-
-	alt = getenv(CTFCONVERT_ALTEXEC);
-	if (alt == NULL || *alt == '\0')
-		return;
-
-	altexec = strdup(alt);
-	if (altexec == NULL)
-		ctfconvert_fatal("failed to allocate memory for altexec\n");
-	if (unsetenv(CTFCONVERT_ALTEXEC) != 0)
-		ctfconvert_fatal("failed to unset %s from environment: %s\n",
-		    CTFCONVERT_ALTEXEC, strerror(errno));
-
-	(void) execv(altexec, argv);
-	ctfconvert_fatal("failed to execute alternate program %s: %s",
-	    altexec, strerror(errno));
-}
-
 int
 main(int argc, char *argv[])
 {
@@ -264,8 +240,6 @@
 
 	ctfconvert_progname = basename(argv[0]);
 
-	ctfconvert_altexec(argv);
-
 	while ((c = getopt(argc, argv, ":ij:kl:L:mo:X")) != -1) {
 		switch (c) {
 		case 'i':
--- old/usr/src/cmd/ctfmerge/ctfmerge.c	Wed Sep  4 06:59:30 2019
+++ new/usr/src/cmd/ctfmerge/ctfmerge.c	Wed Sep  4 06:59:31 2019
@@ -45,7 +45,6 @@
 #define	CTFMERGE_USAGE	2
 
 #define	CTFMERGE_DEFAULT_NTHREADS	8
-#define	CTFMERGE_ALTEXEC	"CTFMERGE_ALTEXEC"
 
 static void __attribute__((__noreturn__))
 ctfmerge_fatal(const char *fmt, ...)
@@ -312,28 +311,6 @@
 	    g_progname);
 }
 
-static void
-ctfmerge_altexec(char **argv)
-{
-	const char *alt;
-	char *altexec;
-
-	alt = getenv(CTFMERGE_ALTEXEC);
-	if (alt == NULL || *alt == '\0')
-		return;
-
-	altexec = strdup(alt);
-	if (altexec == NULL)
-		ctfmerge_fatal("failed to allocate memory for altexec\n");
-	if (unsetenv(CTFMERGE_ALTEXEC) != 0)
-		ctfmerge_fatal("failed to unset %s from environment: %s\n",
-		    CTFMERGE_ALTEXEC, strerror(errno));
-
-	(void) execv(altexec, argv);
-	ctfmerge_fatal("failed to execute alternate program %s: %s",
-	    altexec, strerror(errno));
-}
-
 int
 main(int argc, char *argv[])
 {
@@ -349,8 +326,6 @@
 
 	g_progname = basename(argv[0]);
 
-	ctfmerge_altexec(argv);
-
 	/*
 	 * We support a subset of the old CTF merge flags, mostly for
 	 * compatibility.
--- old/usr/src/tools/ctf/Makefile	Wed Sep  4 06:59:31 2019
+++ new/usr/src/tools/ctf/Makefile	Wed Sep  4 06:59:31 2019
@@ -23,12 +23,12 @@
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright 2019 Joyent, Inc.
+#
 
 include ../Makefile.tools
 
-SUBDIRS = stabs ctfstrip libctf ctfdiff ctfdump
-$(BUILD_OLD_CTF_TOOLS)SUBDIRS += cvt
-$(BUILD_NEW_CTF_TOOLS)SUBDIRS += ctfmerge ctfconvert
+SUBDIRS = stabs ctfstrip libctf ctfdiff ctfdump ctfmerge ctfconvert
 
 .PARALLEL: $(SUBDIRS)
 
